Hi, I'm Ask INFA!
What would you like to know?
ASK INFAPreview
Please to access Ask INFA.

Table of Contents

Search

  1. Introduction
  2. Define settings for data collections
  3. Manage Data Marketplace content
  4. Manage data collections
  5. Manage requests, orders and consumer accesses
  6. Miscellaneous APIs
  7. Frequently Asked Questions

API Reference

API Reference

Response

Response

When you pass the API query parameters in the REST client, the client displays a response for the parameter values that you have entered.
The following example shows the response of an API call to retrieve the details of delivery method:
{ "processingTime": 2988, "offset": 0, "limit": 2, "totalCount": 1, "objects": [ { "id": "770dfbc0-v5t6-4e24-ba47-4477bb9bf33e", "refId": "DMTD71", "name": "Hypercore Protocol" "status": "ACTIVE", "createdBy": "9Wqbp1IRIqfltN12yjs3qt", "createdOn": "2022-06-03T06:27:07.853Z", "modifiedBy": "9Wqbp1IRIqfltN12yjs3qt", "modifiedOn": "2022-06-03T06:30:34.676Z" } ] }
The following table describes the parameters of each delivery method that is retrieved:
Parameter
Description
Offset
Start index for paginated results.
By default, offset is 0.
limit
Maximum number of results.
By default, limit is 50
totalCount
Total count of records that match the applied filters.
id
The system generated unique identifier of the delivery method.
refId
The reference identifier of the delivery method.
name
Name of the delivery method.
status
Status of the delivery method. This parameter can have one of the following values:
  • If the status of the delivery method is
    ACTIVE
    , the delivery method is available to Delivery Owners.
  • If the status of the delivery method is
    INACTIVE
    , the delivery method isn't available to Delivery Owners.
CREATED_BY
The system generated unique identifier of the user account that created the delivery method.
CREATED_ON
The date when the delivery method was created.
MODIFIED_BY
The system generated unique identifier of the user account that last modified the delivery method.
MODIFIED_ON
The latest date when the delivery method was modified.

0 COMMENTS

We’d like to hear from you!